# SinqProtonCurrent

Estimates Proton Current via Calc Records.

This replaces the `sumIO.db` and `sumIO.cmd` that are/were in many Sinq IOCs.

## How to

```bash
require sinqProtonCurrent
epicsEnvSet("EPICS_CA_ADDR_LIST","hipa-cagw:5062 172.28.69.255")

dbLoadRecords("$(sinqprotoncurrent_DIR)protoncurrent.db" "P=SQ:<INSTR>:sumi:, AI=MHC6:IST:2")
```

Or with camini

```bash
dbLoadRecords("$(sinqprotoncurrent_DIR)camini.db","P=SQ:<INSTR>:CAMINI:")
dbLoadRecords("$(sinqprotoncurrent_DIR)protoncurrent.db" "P=SQ:<INSTR>:sumi:, AI=MHC6:IST:2, GATE=SQ:<INSTR>:CAMINI:SHUTTER")
```
